当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 3 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 8.04 到 9.04 dpkg 出错啦!!!
帖子发表于 : 2009-05-05 20:37 
头像

注册: 2008-05-27 10:45
帖子: 317
送出感谢: 0 次
接收感谢: 0 次
五一放假时 dist-upgrade 了一把,出错了,现在 dpkg --configure -a 时也错,怎么搞?

$sudo dpkg --configure -a
[sudo] password for linuxier:
Setting up initramfs-tools (0.92bubuntu29) ...
update-initramfs: deferring update (trigger activated)

Setting up linux-image-2.6.28-11-generic (2.6.28-11.42) ...
Running depmod.
update-initramfs: Generating /boot/initrd.img-2.6.28-11-generic
cpio: ./bin/udevinfo: Cannot stat: No such file or directory
update-initramfs: failed for /boot/initrd.img-2.6.28-11-generic
Failed to create initrd image.
dpkg: error processing linux-image-2.6.28-11-generic (--configure):
subprocess post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of linux-image-generic:
linux-image-generic depends on linux-image-2.6.28-11-generic; however:
Package linux-image-2.6.28-11-generic is not configured yet.
dpkg: error processing linux-image-generic (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-generic:
linux-generic depends on linux-image-generic (= 2.6.28.11.15); however:
Package linux-image-generic is not configured yet.
dpkg: error processing linux-generic (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-restricted-modules-2.6.28-11-generic:
linux-restricted-modules-2.6.28-11-generic depends on linux-image-2.6.28-11-generic; however:
Package linux-image-2.6.28-11-generic is not configured yet.
dpkg: error processing linux-restricted-modules-2.6.28-11-generic (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of linux-restricted-modules-generic:
linux-restricted-modules-generic depends on linux-restricted-modules-2.6.28-11-generic; however:
Package linux-restricted-modules-2.6.28-11-generic is not configured yet.
dpkg: error processing linux-restricted-modules-generic (--configure):
dependency problems - leaving unconfigured
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.24-24-rt
cpio: ./bin/udevinfo: Cannot stat: No such file or directory
update-initramfs: failed for /boot/initrd.img-2.6.24-24-rt
dpkg: subprocess post-installation script returned error exit status 1


_________________
blog: http://sxpspace.blogspot.com , http://hi.baidu.com/sxpspace
amd 5000+ /nvidia 8500gt
debian testing amd64/xfce4
#nvidia 官方驱动真是越来越垃圾了,无语。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 8.04 到 9.04 dpkg 出错啦!!!
帖子发表于 : 2009-05-05 21:32 
头像

注册: 2008-05-27 10:45
帖子: 317
送出感谢: 0 次
接收感谢: 0 次
google 之搞好了

很简单

$sudo cp /sbin/udevadm /usr/bin/udevinfo


_________________
blog: http://sxpspace.blogspot.com , http://hi.baidu.com/sxpspace
amd 5000+ /nvidia 8500gt
debian testing amd64/xfce4
#nvidia 官方驱动真是越来越垃圾了,无语。


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 8.04 到 9.04 dpkg 出错啦!!!
帖子发表于 : 2009-05-05 22:05 
头像

注册: 2008-07-14 22:42
帖子: 8078
地址: Beijing
送出感谢: 0 次
接收感谢: 0 次
linuxier 写道:
google 之搞好了

很简单

$sudo cp /sbin/udevadm /usr/bin/udevinfo

能解决就好。。。要是我,基本上就放弃了 :em06


_________________
Ubuntu User


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 3 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 5 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译